summaryrefslogtreecommitdiff
path: root/dev-python/flatbuffers
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/flatbuffers')
-rw-r--r--dev-python/flatbuffers/Manifest1
-rw-r--r--dev-python/flatbuffers/flatbuffers-24.3.25.ebuild39
2 files changed, 40 insertions, 0 deletions
diff --git a/dev-python/flatbuffers/Manifest b/dev-python/flatbuffers/Manifest
index 58ece9218786..3a1f8f6e659e 100644
--- a/dev-python/flatbuffers/Manifest
+++ b/dev-python/flatbuffers/Manifest
@@ -1 +1,2 @@
+DIST flatbuffers-24.3.25.gh.tar.gz 2297829 BLAKE2B f3a5a94119a1b1b63fba9126e1cdff7ab712996bfc0d65626a679405f62dfa722bc5de244ef775fba336224b60feff3aa27acf54bed027c4013590b4afbefe7c SHA512 e2a614f4fc526ce07bfe1e1bc79efd3c87acbdb93aee7b42994d4855abd2593f36b5ca1edb53c7dcd470d5fbe14a3e394bd75dcebb4458cc0aeb33d622a3c662
DIST flatbuffers-24.3.7.gh.tar.gz 2296896 BLAKE2B 439d84a58ed169f6cd980388034f3dfaf53444dc4733b942aeeac24ed805dcf7c4348df8080fdbd899d2b4bc7f1ad75f546f8db3bcbb6fc942b75e2c3877331e SHA512 93541cbc6c1ba96beed77967d89693ebbc532664ee3b39eb9df9ec28871a3a0acb744b9c823afe6d3c480fe34e092306100e67f5b8fbed4432a875e87670019e
diff --git a/dev-python/flatbuffers/flatbuffers-24.3.25.ebuild b/dev-python/flatbuffers/flatbuffers-24.3.25.ebuild
new file mode 100644
index 000000000000..bd6699343be2
--- /dev/null
+++ b/dev-python/flatbuffers/flatbuffers-24.3.25.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1
+
+DESCRIPTION="RFC 7049 - Concise Binary Object Representation"
+HOMEPAGE="
+ https://github.com/google/flatbuffers/
+ https://pypi.org/project/flatbuffers/
+"
+SRC_URI="
+ https://github.com/google/${PN}/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S=${WORKDIR}/${P}/python
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~sparc ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ test? (
+ dev-python/numpy[${PYTHON_USEDEP}]
+ )
+"
+
+python_test() {
+ cd "${WORKDIR}/${P}/tests" || die
+ # zeroes means without benchmarks
+ "${EPYTHON}" py_test.py 0 0 0 0 false || die
+ "${EPYTHON}" py_flexbuffers_test.py -v || die
+}